Bug 433054 - Code errors in the lock screen theme (1st party or 3rd-party) can block screen unlocking
Summary: Code errors in the lock screen theme (1st party or 3rd-party) can block scree...
Status: CONFIRMED
Alias: None
Product: kscreenlocker
Classification: Unclassified
Component: greeter (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR grave
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-17 08:10 UTC by Duns
Modified: 2021-11-25 10:42 UTC (History)
14 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of screen locked without password field (1.92 MB, image/jpeg)
2021-02-17 20:35 UTC, Duns
Details
env (4.84 KB, application/x-shellscript)
2021-02-20 02:21 UTC, Nate Graham
Details
DMESG just before bug happened (60.65 KB, text/plain)
2021-06-17 10:54 UTC, Michael
Details
Event log of session where bug happened. (8.98 KB, text/plain)
2021-06-17 10:55 UTC, Michael
Details
Crash log 2.txt (8.53 KB, text/plain)
2021-06-17 11:43 UTC, Michael
Details
attachment-22472-0.html (1.32 KB, text/html)
2021-06-17 20:37 UTC, Michael
Details
attachment-26958-0.html (2.10 KB, text/html)
2021-06-17 21:02 UTC, Michael
Details
attachment-11288-0.html (5.04 KB, text/html)
2021-10-21 07:25 UTC, Michael
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Duns 2021-02-17 08:10:52 UTC
SUMMARY


STEPS TO REPRODUCE
1. lock the screen (meta+L)
2. doesn't appear any place to type the password, only cursor arrow is visible
3. impossible unlock the screen

OBSERVED RESULT
as I said: because it is impossible unlock the screen, I am forced to reboot

EXPECTED RESULT
a field where insert the password should appear and, after inserted the pws, the screen should be unlocked 

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.0
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Kernel Version: 5.4.0-65-generic
OS Type: 64-bit
Graphics Platform: X11
Processors: 2 × Intel® Core™ i3-7100 CPU @ 3.90GHz
Memory: 7,7 GiB of RAM
Graphics Processor: GeForce GT 710/PCIe/SSE2
ADDITIONAL INFORMATION
Comment 1 Duns 2021-02-17 14:19:30 UTC
downgrade screen-locker, as a temporary workaround?
of course I have already disabled screenlock...
Comment 2 Duns 2021-02-17 17:06:32 UTC
I tried to update nvidia driver, but with this result:

sudo ubuntu-drivers autoinstall
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Comment 3 Nate Graham 2021-02-17 19:17:38 UTC
Does it get fixed after a reboot? Also can you apply all available updates? It sounds like a graphical issue or a broken upgrade to me.
Comment 4 Duns 2021-02-17 19:33:37 UTC
(In reply to Nate Graham from comment #3)
> Does it get fixed after a reboot? 
of course, yes!
> Also can you apply all available updates?
I did this:

sudo pkcon update
[sudo] password for duns: 
Getting updates               [=========================]         
Finished                      [=========================]         
No packages require updating to newer versions.

> It sounds like a graphical issue or a broken upgrade to me.

What else should I do?
Thanks!
Comment 5 Nate Graham 2021-02-17 19:34:44 UTC
> What else should I do?
Always reboot after an update, especially one that upgrades your graphics drivers, especially when using an NVIDIA GPU. :)
Comment 6 Duns 2021-02-17 19:42:51 UTC
(In reply to Nate Graham from comment #5)
> > What else should I do?
> Always reboot after an update, especially one that upgrades your graphics
> drivers, especially when using an NVIDIA GPU. :)

As I said, I have already rebooted *many times* (at lest 8/9 times).
I tried also to reinstalling screenlocker: nothing to do.
I noticed that is a problem of all (my KDE Neon) users.

I believe that is probably an nvidia driver problem: but I have already tried to upgrade them (comment #2). Should I force something? How?
Comment 7 Duns 2021-02-17 19:46:31 UTC
If I close the session because of screenlocker bug (with magic keys ctrl+alt+r ctrl+alt+e) almost always I can't login, I have to reboot.
Comment 8 Nate Graham 2021-02-17 19:47:06 UTC
Hold on: is the problem fixed right now or not? I'm getting confused.
Comment 9 Duns 2021-02-17 19:59:46 UTC
Not resolved!
Comment 10 Nate Graham 2021-02-17 20:02:41 UTC
So when you lock the screen, you get a black screen? I thought you said a reboot fixed it?
Comment 11 Duns 2021-02-17 20:17:08 UTC
Not a black screen: the screen is almost correct (slideshow as expected, no clock and no media control), but no place where type the password, no way to type the password and unlock the screen.
Comment 12 Nate Graham 2021-02-17 20:27:11 UTC
So the password field is just totally missing? Is anything else missing? Can you attach a screenshot? You can actually take a screenshot by locking the screen after using Spectacle's timer feature. Or you can use your phone. :)
Comment 13 Duns 2021-02-17 20:35:02 UTC
Created attachment 135790 [details]
screenshot of screen locked without password field
Comment 14 Duns 2021-02-17 20:35:45 UTC
(In reply to Nate Graham from comment #12)
> So the password field is just totally missing? 

Yes.

> Is anything else missing? 

the clock and media control 

> Can you attach a screenshot? 

Here you are (from my phone)
Comment 15 Nate Graham 2021-02-17 20:37:39 UTC
Looks like the whole UI is missing, gross.

Can you unlock manually, and then open Konsole (or the terminal of your choice, of course), and then run this:

~/kde/usr/lib64/libexec/kscreenlocker_greet --testing

And then paste the output that's printed to the terminal
Comment 16 Duns 2021-02-18 05:11:28 UTC
(In reply to Nate Graham from comment #15)
> Looks like the whole UI is missing, gross.
> 
> Can you unlock manually, and then open Konsole (or the terminal of your
> choice, of course), and then run this:
> 
> ~/kde/usr/lib64/libexec/kscreenlocker_greet --testing
> 
> And then paste the output that's printed to the terminal

I tried, but, coming back from terminal after unlocking manually, this was the answer:  

[code]duns@duns-neon:~$ ~/kde/usr/lib64/libexec/kscreenlocker_greet --testing
bash: /home/duns/kde/usr/lib64/libexec/kscreenlocker_greet: No such file or directory
duns@duns-neon:~$ /usr/lib64/libexec/kscreenlocker_greet --testing
bash: /usr/lib64/libexec/kscreenlocker_greet: No such file or directory[/code]
Comment 17 Duns 2021-02-18 15:15:39 UTC
Same problem on another PC with KDE Neon, after upgrading to Plasma 5.21. And here there is not nvidia (grafical card).
BTW I don't see this bug in the bugs list.
Comment 18 Duns 2021-02-19 14:48:00 UTC
I'm not sure but today I managed to find what you suggested and this was the output:
[code]uns@duns-neon:~$ /usr/lib/x86_64-linux-gnu/libexec/kscreenlocker_greet --testing
Icon theme "Adwaita" not found.
Icon theme "gnome" not found.
file:///usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:67: TypeError: Property 'setAction' of object ScreenLocker::WallpaperIntegration(0x560d066fc8b0) is not a function
Locked at 1613745967
file:///usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:118:9: QML Image: Cannot open: file:///usr/share/wallpapers/Next/
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/lockscreen/LockScreenUi.qml:520:13: KeyboardLayoutButton is not a type
file:///usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:118:9: QML Image: Cannot open: file:///usr/share/wallpapers/Next/ [/code]

This can help?
Comment 19 Nate Graham 2021-02-19 15:29:13 UTC
Oh my goodness sorry, I gave you the wrong path. Looks like you found it, great!

Sadly, while those errors are not good, I don't think they would cause this issue. :(
Comment 20 Nate Graham 2021-02-19 19:52:01 UTC
I just experienced this myself. Intel GPU.
Comment 21 Duns 2021-02-19 20:26:59 UTC
I repeated exactly the steps you have suggested, but the result seems identical:

duns@duns-neon:~$ /usr/lib/x86_64-linux-gnu/libexec/kscreenlocker_greet --testing
Icon theme "Adwaita" not found.
Icon theme "gnome" not found.
file:///usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:67: TypeError: Property 'setAction' of object ScreenLocker::WallpaperIntegration(0x56505092b7e0) is not a function
Locked at 1613766045
file:///usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:118:9: QML Image: Cannot open: file:///usr/share/wallpapers/Next/
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/lockscreen/LockScreenUi.qml:520:13: KeyboardLayoutButton is not a type
file:///usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:118:9: QML Image: Cannot open: file:///usr/share/wallpapers/Next/
^Z
[2]+  Stopped                 /usr/lib/x86_64-linux-gnu/libexec/kscreenlocker_greet --testing
duns@duns-neon:~$ 

Moreover, I deleted, before starting the screenlock, the file .xsession-errors, but coming back to the session this file wasn't had re-created: no sign of it in my home.
Comment 22 David Edmundson 2021-02-19 23:19:18 UTC
>file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/lockscreen/LockScreenUi.qml:520:13: KeyboardLayoutButton is not a type

This is relevant, the others aren't.
Comment 23 David Edmundson 2021-02-19 23:22:13 UTC
It doesn't make much sense.

We would have a different error if org.kde.plasma.workspace.keyboardlayout wasn't available, yet clearly we're missing a file from there.
Comment 24 David Edmundson 2021-02-19 23:26:19 UTC
Please can I have output of:

QML_IMPORT_TRACE=1 /usr/lib/x86_64-linux-gnu/libexec/kscreenlocker_greet --testing

and output of "env"
Comment 25 Nate Graham 2021-02-20 02:21:01 UTC
Created attachment 135928 [details]
env

This is weird. Sometimes I can reproduce the issue (twice now, today), but I can't do it on command. Here's my env anyway.
Comment 26 Nate Graham 2021-02-20 02:22:10 UTC
Here's output when it is working:


nate@Liberator:~$  QML_IMPORT_TRACE=1 /usr/lib64/libexec/kscreenlocker_greet --testing
file:///home/nate/kde/usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:67: TypeError: Property 'setAction' of object ScreenLocker::WallpaperIntegration(0x55ceacb8d4b0) is not a function
Locked at 1613787691
file:///home/nate/kde/usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:118:9: QML Image: Cannot open: file:///home/nate/kde/usr/share/wallpapers/Next/
qt.svg: <input>:406:376: Could not add child element to parent element because the types are incorrect.
qt.svg: <input>:407:130: Could not add child element to parent element because the types are incorrect.
qt.svg: <input>:408:130: Could not add child element to parent element because the types are incorrect.
qt.svg: <input>:408:393: Could not add child element to parent element because the types are incorrect.
qt.svg: <input>:409:130: Could not add child element to parent element because the types are incorrect.
qt.svg: <input>:410:129: Could not add child element to parent element because the types are incorrect.
qt.svg: <input>:411:129: Could not add child element to parent element because the types are incorrect.
qt.svg: <input>:412:129: Could not add child element to parent element because the types are incorrect.
qt.svg: <input>:413:129: Could not add child element to parent element because the types are incorrect.
qt.svg: <input>:413:379: Could not add child element to parent element because the types are incorrect.
qt.svg: <input>:413:631: Could not add child element to parent element because the types are incorrect.
file:///home/nate/kde/usr/lib64/qml/org/kde/plasma/workspace/components/KeyboardLayoutButton.qml:17: TypeError: Cannot read property 'longName' of undefined
qt.virtualkeyboard.hunspell: Hunspell dictionary is missing for "en_GB" . Search paths ("/usr/share/qt5/qtvirtualkeyboard/hunspell", "/usr/share/hunspell", "/usr/share/myspell/dicts")
^C
Comment 27 Nate Graham 2021-02-23 14:13:29 UTC
I've reproduced this twice by closing my laptop's lid and letting it lock that way. When I open the lid, it wakes up and the lock screen wallpaper is displayed, but there is no UI.
Comment 28 Nate Graham 2021-02-23 17:30:21 UTC
*** Bug 433495 has been marked as a duplicate of this bug. ***
Comment 29 Marco Martin 2021-03-16 09:55:42 UTC
Keyboardlayoutbutton has been removed in commit
06321a7b4f9384c01eeaa2e1964e979c7a5f4c0a in plasma-workspace(In reply to David Edmundson from comment #22)
> >file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/lockscreen/LockScreenUi.qml:520:13: KeyboardLayoutButton is not a type
> 
> This is relevant, the others aren't.

KeyboardLayoutButton.qml has been removed in commit 06321a7b4f9384c01eeaa2e1964e979c7a5f4c0a in plasma-workspace

so if the problem is still happening (never seen it here) the reason is another one
Comment 30 Duns 2021-03-16 12:26:16 UTC
The bug is still there.
Comment 31 Nate Graham 2021-03-16 17:14:21 UTC
Still experiencing it with code from Plasma 5.21.x branch. It's fixed in master for me.
Comment 32 Nate Graham 2021-03-21 03:38:50 UTC
This is no longer happening to me with current distro packages from openSUSE Tumbleweed; I guess it somehow got fixed there. Perhaps it was always a packaging problem.

Is anyone still able to reproduce this issue?
Comment 33 Nate Graham 2021-04-02 14:04:00 UTC
I'm able to reproduce it again this time with my git master session, but no longer with my 5.21 distro-provided session.

No idea why it started working and then broke again. The brittleness is rather concerning.
Comment 34 Nate Graham 2021-04-02 14:33:20 UTC
I cannot reproduce this issue in my git master Plasma Wayland session. Those of you who are hitting it, are you using a blurry transparent background in your Konsole session or something?
Comment 35 David Edmundson 2021-04-04 21:55:52 UTC
Not many people affected and all signs point to a setup issue. Moving from VHI.
Comment 36 Duns 2021-04-29 20:04:28 UTC
(In reply to David Edmundson from comment #35)
> Not many people affected and all signs point to a setup issue. Moving from
> VHI.

What do you mean by setup issue?
So what should we do to fix this bug?
Comment 37 Duns 2021-04-30 06:04:35 UTC
(In reply to Nate Graham from comment #34)
> I cannot reproduce this issue in my git master Plasma Wayland session. Those
> of you who are hitting it, are you using a blurry transparent background in
> your Konsole session or something?

No. Even disabling every blurring, this bug remains.
Comment 38 Duns 2021-06-09 08:40:28 UTC
Still in 5.22
Comment 39 Michael 2021-06-17 10:54:21 UTC
Created attachment 139429 [details]
DMESG just before bug happened

Second poster with the same issue. Lenovo G575 with Ubuntu running off USB stick.
Comment 40 Michael 2021-06-17 10:55:47 UTC
Created attachment 139430 [details]
Event log of session where bug happened.

Should be all items from Plasma event log. Again, 2nd poster with the same issue.
Comment 41 Michael 2021-06-17 11:17:41 UTC
I've added attachments. I'm another user with what sounds like the same issue. It's very repeatable, it happens every single time. I'm running Ubuntu latest stable version, I believe 20.04, and installed Plasma onto it through one of their software tools (not a downloaded file or anything). I subsequently added some eye candy - themes and so on - but again, all through the official screens. I'm aware of the bug where shutdown doesn't work and you have to use a separate desktop shortcut for it, and this isn't that one.

Start Ubuntu. Select Plasma at login. System appears to start normally, though event log entries may be pointing at irregularities. From previous experience with various linux versions in the past, there often seems to be some niggle somewhere that doesn't obviously flag up to the user and that they only know about if they read dmesg or a log. Anyway, system appears to behave normally, no apparent problems. Hold down Windows key and press L. Screen locks. The selected image appears on the screen, just the image, nothing else. No password box, no text, no unlock button, nothing. Just the image and nothing else.

I did see a reference elsewhere to a bug where there was a very long pause at this point (35 seconds was mentioned), so I waited for two minutes to see if anything else would appear but nothing did. Referring to the log file, screen was locked at 11:20. Unlocking attempts commenced at 11:22. I tried clicking the mouse, double clicking it, swiping it up, swiping it down, dragging upwards, dragging downwards, clicking all four corners of the screen, pressing the ESC key, pressing every letter key in turn, pressing ALT and every letter key in turn, pressing CTRL and every letter key in turn, pressing the Windows key and every letter key in turn. Nothing worked. There was no password box to enter a password into. The only way out was to do a hard shutdown (hold down the power key until it powered off).

I did wonder whether this was an Ubuntu bug or a Plasma bug, so I tested it using LXDE which also has a screenlock (icon at the bottom right). I clicked in LXDE and it locked. However, there a password box appeared on the screen. I entered my password and it unlocked again, no problem. I concluded that this couldn't be intrinsic to Ubuntu. It does look as if it's specifically Plasma. Not sure if any of this helps. Please advise if you want it logged separately - I've assumed not as it does appear to be the same issue.

From info centre: 
KDE Plasma Version: 5.18.5
KDE Frameworks Version: 5.68.0
Qt Version: 5.12.8
Kernel version: 5.4.0-74-generic
OS Type: 64 bit
Processors: 2 x AMD-C-50 Processor
Memory: 3.5 GiB of RAM

I can get you further information from the info centre if you ask for it, including graphical information... but there's a lot of it and it doesn't appear possible to export it or copy and paste it.
Comment 42 David Redondo 2021-06-17 11:33:40 UTC
Does it happen with Breeze look and feel them? I see some errors from Sweet global theme in the log
Comment 43 Michael 2021-06-17 11:43:40 UTC
Created attachment 139431 [details]
Crash log 2.txt

Hi David
See attached crash log. Locking was at 12:35. Unlocking 12:37. I changed to I think Breeze dark, with great regret because of how cool Sweet looked. Anyway, the date and time came up on the lockscreen, which it hadn't before; and on clicking the mouse a password box came up, and I was able to unlock. Success!
It would appear that Sweet is bugged, and that this is what caused screenlock to fail. I'm wondering how many other themes are also bugged, and whether some idiot check ought to be inserted somewhere to stop a faulty theme causing screenlock failure.
Thoughts?

Regards

Michael R
Sent from Yahoo webmail. This may have been laboriously tapped out on a touchscreen, so please excuse any typos or brevity. 

    On Thursday, 17 June 2021, 12:33:42 BST, David Redondo <bugzilla_noreply@kde.org> wrote:  
 
 https://bugs.kde.org/show_bug.cgi?id=433054

David Redondo <kde@david-redondo.de> changed:

          What    |Removed                    |Added
----------------------------------------------------------------------------
                CC|                            |kde@david-redondo.de

--- Comment #42 from David Redondo <kde@david-redondo.de> ---
Does it happen with Breeze look and feel them? I see some errors from Sweet
global theme in the log
Comment 44 Nate Graham 2021-06-17 14:08:47 UTC
It's rather upsetting to me as well that a faulty theme can lock you out of your system. It happens because the screen locker UI is code plus styling, not just styling. So any code errors can break it, and 3rd-party themes with sloppy code are more likely to do so. This also happened in Bug 435233, which broke screen unlock after a bugfix update to the Plasma LTS version. :( Setting to VHI.

I see two non-mutually-exclusive options to fix it:
1. Short term: We need some kind of fallback theme like SDDM has, if the user-chosen theme is broken.
2. Long-term: remove all code from lock screen themes--like Plasma themes, for example. Then 3rd-party themes can's break screen unlock by shipping faulty code (only we can do that lol).
Comment 45 Duns 2021-06-17 18:48:54 UTC
So, what theme should I use to get rid of this bug? I use Breeze as global theme and Breeze Dark as Plasma style...
Comment 46 Nate Graham 2021-06-17 18:53:18 UTC
The lock screen theme lives in the Plasma theme, so if you're using the Breeze Dark Plasma theme, you're getting the lock screen from there. If it works... use it. :)
Comment 47 Duns 2021-06-17 18:55:39 UTC
No, it doesn't work. And changing theme (to Oxigen or Breeze [not dark]) didn't change anything.
Comment 48 Michael 2021-06-17 20:37:41 UTC
Created attachment 139448 [details]
attachment-22472-0.html

Suggestion: try putting absolutely everything back to defaults and see 
what happens.

I hate to mention it, but in theory it may be possible that the same bug 
could have more than one possible cause. Try it again, noting the exact 
time you locked the screen. If it gets stuck again, when you go back in 
check the event log for that time and see what it's saying. If you're 
lucky it will say that it was having trouble with something.

On 17/06/2021 19:48, Duns wrote:
> https://bugs.kde.org/show_bug.cgi?id=433054
>
> --- Comment #45 from Duns <web@culturanuova.net> ---
> So, what theme should I use to get rid of this bug? I use Breeze as global
> theme and Breeze Dark as Plasma style...
>
Comment 49 Michael 2021-06-17 21:02:16 UTC
Created attachment 139449 [details]
attachment-26958-0.html

What it's telling me I have now at this moment is:

  * Global theme Breeze Dark
  * Plasma style Breeze Dark
  * Application style Kvantum-dark (this is after installing Kvantum
    from Synaptic; that wasn't installed when the bug first occurred)
  * Window Decorations Breeze
  * Colours Breeze Dark
  * Icons Breeze Dark
  * Emoticons Breeze
  * Cursors Breeze
  * Screen locking Next, no auto lock, no lock after waking from sleep,
    allow unlocking without password for 300 seconds

I've just tried it again here and it still works, though the password 
box only appears when I move the mouse. If it doesn't for you, check the 
event log (search the menu for 'logs' and it will come up) for the exact 
time you locked the screen as there may be a clue as to what the cause 
is in your case. Perhaps there's some other component with faulty code.

Michael.

On 17/06/2021 19:55, Duns wrote:
> https://bugs.kde.org/show_bug.cgi?id=433054
>
> --- Comment #47 from Duns <web@culturanuova.net> ---
> No, it doesn't work. And changing theme (to Oxigen or Breeze [not dark]) didn't
> change anything.
>
Comment 50 Nate Graham 2021-06-21 21:26:11 UTC
So Duns, the problem is still happening to you? The background appears but the input widgets are all missing? If so, I think we actually have an existing bug report about this: Bug 370676.

Can you confirm?
Comment 51 Duns 2021-06-22 07:24:19 UTC
The problem is still here, I confirm, even changing all possible theme settings.
Comment 52 Nate Graham 2021-07-22 17:51:14 UTC
Darn. Let's follow https://bugs.kde.org/show_bug.cgi?id=370676.
Comment 53 Nate Graham 2021-08-03 16:59:20 UTC
Oops, I set this to VLO when I meant VHI. I think VHI is appropriate because this can cause you to be unable to unlock your computer using graphical means, which is a "throw the computer out the window" issue.
Comment 54 Duns 2021-08-05 05:59:38 UTC
(In reply to Nate Graham from comment #53)
> Oops, I set this to VLO when I meant VHI. I think VHI is appropriate because
> this can cause you to be unable to unlock your computer using graphical
> means, which is a "throw the computer out the window" issue.

What do you mean by VLO and VHI?
Comment 55 Wedge009 2021-08-05 13:21:51 UTC
The report heading mentions code errors in theme, but the original report discusses screen locking instead. My symptoms are the same as what's been reported, albeit for Plasma 5.18.7. Nothing to do with theme, as best as I can tell.

Further details: https://bugs.kde.org/show_bug.cgi?id=370676#c13
Comment 56 Wedge009 2021-08-05 13:23:07 UTC
VLO/VHI appears to refer to priority: Very Low and Very High, I assume.
Comment 57 Nate Graham 2021-08-05 14:35:55 UTC
(In reply to Wedge009 from comment #55)
> The report heading mentions code errors in theme, but the original report
> discusses screen locking instead. My symptoms are the same as what's been
> reported, albeit for Plasma 5.18.7. Nothing to do with theme, as best as I
> can tell.
> 
> Further details: https://bugs.kde.org/show_bug.cgi?id=370676#c13
I think you're referring to Bug 439604, which is tracked separately.
Comment 58 Wedge009 2021-08-05 14:45:56 UTC
I'm not so sure (I also left a comment there) as that report seems to indicate that mouse activity can still activate the input widgets. In my case, neither keyboard nor mouse activity brings up anything.
Comment 59 Nate Graham 2021-08-05 15:00:49 UTC
(In reply to Wedge009 from comment #58)
> I'm not so sure (I also left a comment there) as that report seems to
> indicate that mouse activity can still activate the input widgets. In my
> case, neither keyboard nor mouse activity brings up anything.
If that's the case, then you're hitting Bug 370676.
Comment 60 David Edmundson 2021-08-11 23:14:25 UTC
Removing from VHI, if something only affects modders with 3rd party addons it is not that big of a priority no matter the impact.
Comment 61 David Edmundson 2021-08-11 23:15:46 UTC
WRT this bug, ithere is (supposedly) a fallback path in kscreenlocker itself. It does check if a root item gets created or not. Problem is all our UI code is in a Loader for an attempted startup optimisation, which is why it doesn't work.
Comment 62 David Edmundson 2021-08-11 23:20:10 UTC
>2. Long-term: remove all code from lock screen themes--like Plasma themes, for example. Then 3rd-party themes can's break screen unlock by shipping faulty code (only we can do that lol).

Personally I would very happily support this. We still have the plasma theme and wallpaper loaded from plugins, so it's just about being able to change the layout of some text fields. It's not like we make the kwallet prompt configurable! 

If people do really want to overwrite things, they can always mod the original files, we're just removing it from being supported.
Comment 63 zhong20000905 2021-09-09 17:07:07 UTC
Here is what I got when I run "usr/lib/kscreenlocker_greet --testing"
> file:///home/jerry/.local/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/lockscreen/LockScreenUi.qml:520:13: PW.KeyboardLayoutButton is not a type
> qt.qpa.wayland: Wayland does not support QWindow::requestActivate()

Plasma Version: 5.22.5-1
Plasma Framework Version: 5.85.0-2
Qt Version: 5.15.2
Graphics Platform: Wayland
Comment 64 Nate Graham 2021-09-14 15:14:23 UTC
Aha!!!!

You have a local copy of the Breeze global theme which is shadowing the system theme, where the bug was already fixed. Delete /home/jerry/.local/share/plasma/look-and-feel/org.kde.breeze.desktop and everything will work.
Comment 65 Nate Graham 2021-09-14 15:14:57 UTC
For anyone else suffering from this issue, I would recommend you check for the same thing.
Comment 66 Eddie 2021-10-21 05:06:48 UTC
The other comments before 2021-10-21 did not help to solve this bug. 

On screen locker:
User can NOT press a key on physical keyboard to make the login box appear, 
user Has to move the mouse before login box appears.

Confirms: it happens on both Kubuntu and on KDE Neon. (different video cards).


When one locks the screen, either with winkey-L or with test from cmd line
/usr/lib/x86_64-linux-gnu/libexec/kscreenlocker_greet --testing

btw using: OS: Ubuntu 20.04.3 LTS x86_64 with WM Theme: plastik
Kernel: 5.4.0-88-generic, GPU: NVIDIA GeForce GT 710, Resolution: 1920x1080
DE: Plasma, Theme: Breeze Dark [Plasma], Breeze-Dark [GTK2/3]

file:///usr/share/plasma/wallpapers/org.kde.image/contents/ui/main.qml:76:9: Unable to assign [undefined] to QStringList
file:///usr/share/plasma/wallpapers/org.kde.image/contents/ui/main.qml:75:9: Unable to assign [undefined] to int
Locked at 1634792367
UdevQt: unable to create udev monitor connection
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/SessionManagementScreen.qml:64:5: Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/ActionButton.qml:33:5: Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/KeyboardLayoutButton.qml:29:5: Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/Battery.qml:48:9: Unable to assign [undefined] to double
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/UserDelegate.qml:41:5: Unable to assign [undefined] to int

Bug reproducible on many machines.
Comment 67 Michael 2021-10-21 07:25:24 UTC
Created attachment 142703 [details]
attachment-11288-0.html

When I had this some while ago now, moving the mouse didn't cause the login box to appear. There didn't seem to be any option then other than holding the power button down to force a shutdown.  I believe I posted the log for that, which was Plasma.

Regards... Michael

sent from a mobile phone.

Tapping emails on this thing is laborious, so apologies for any brevity or mistypes.
________________________________
From: Eddie <bugzilla_noreply@kde.org>
Sent: Thursday, October 21, 2021 6:06:48 AM
To: solebanana@yahoo.co.uk <solebanana@yahoo.co.uk>
Subject: [kscreenlocker] [Bug 433054] Code errors in the lock screen theme (1st party or 3rd-party) can block screen unlocking

https://bugs.kde.org/show_bug.cgi?id=433054

Eddie <edfoundkdebug@galaxy.za.net> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |edfoundkdebug@galaxy.za.net

--- Comment #66 from Eddie <edfoundkdebug@galaxy.za.net> ---

The other comments before 2021-10-21 did not help to solve this bug.

On screen locker:
User can NOT press a key on physical keyboard to make the login box appear,
user Has to move the mouse before login box appears.

Confirms: it happens on both Kubuntu and on KDE Neon. (different video cards).


When one locks the screen, either with winkey-L or with test from cmd line
/usr/lib/x86_64-linux-gnu/libexec/kscreenlocker_greet --testing

btw using: OS: Ubuntu 20.04.3 LTS x86_64 with WM Theme: plastik
Kernel: 5.4.0-88-generic, GPU: NVIDIA GeForce GT 710, Resolution: 1920x1080
DE: Plasma, Theme: Breeze Dark [Plasma], Breeze-Dark [GTK2/3]

file:///usr/share/plasma/wallpapers/org.kde.image/contents/ui/main.qml:76:9:
Unable to assign [undefined] to QStringList
file:///usr/share/plasma/wallpapers/org.kde.image/contents/ui/main.qml:75:9:
Unable to assign [undefined] to int
Locked at 1634792367
UdevQt: unable to create udev monitor connection
Connecting to deprecated signal
QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/SessionManagementScreen.qml:64:5:
Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/ActionButton.qml:33:5:
Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/KeyboardLayoutButton.qml:29:5:
Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/Battery.qml:48:9:
Unable to assign [undefined] to double
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/UserDelegate.qml:41:5:
Unable to assign [undefined] to int

Bug reproducible on many machines.

--
You are receiving this mail because:
You are on the CC list for the bug.